function init()
	gun.name = "Peashooter_Burst"
	gun.fireDelay = 2000
	gun.shotrange = 800
	gun.shotspeed = 325
	gun.shotdamage = 1.25
	gun.shotknockback = 1000
	gun.burstNum = 10
	gun.burstDelay = 150
	
	--make it always a turret
	gun.fixed = 3
	
	gun.skipUpdate = 0--calls the lua gun update function
	return 0
end


function update()
	--continuously track the target
	if ship.controller.hasTarget() == 1 then
		gun.burstX = ship.controller.target.x
		gun.burstY = ship.controller.target.y
	end

	return 0
end


function fire()
	gun.addShot("shot5.png", gun.firex, gun.firey, gun.firetheta)
	shot.mass = 10

	--attach a trail emitter to the shot

	gun.sfx("gun_peashooter.wav", gun.firex, gun.firey)

	return 0
end

function shot_update()

	return 0
end